package com.inspect.img.service;

import com.inspect.img.domain.InspectionReportImg;

import java.util.List;

public interface IInspectionReportImgService {
    InspectionReportImg selectInspectionReportImgByLineId(Long lineId);

    List<InspectionReportImg> selectInspectionReportImgList(InspectionReportImg reportImg);

    int insertInspectionReportImg(InspectionReportImg reportImg);

    int updateInspectionReportImg(InspectionReportImg reportImg);

    int deleteInspectionReportImgByLineIds(Long[] lineIds);

    int deleteInspectionReportImgByLineId(Long lineId);

    int batchInsertInspectionReportImg(List<InspectionReportImg> reportImgList);

    List<InspectionReportImg> selectByReportInfoIds(List<String> lineIds);
}
